Subject: Re: [PATCH net 2/2] net: bcmgenet: fix racing timeout handler

From: Jakub Kicinski <[email-masked]>
Date: Fri, 27 Mar 2026 21:13:31 -0700

On Thu, 26 Mar 2026 11:45:29 -0700 [email-masked] wrote:
> The bcmgenet_timeout handler tries to take down all tx queues when
> a single queue times out. This is over zealous and causes many race
> conditions with queues that are still chugging along. Instead lets
> only restart the timed out queue.

FWIW AI seems to suggest we should also stop NAPI and the DMA in this
case, just to make sure that the queue in question doesn't suddenly
wake up either. Which seems fair but probably as a follow up and only
if not too hard in itself..